LibreOffice LibreOffice 5.3 SDK API Reference

Public Member Functions | List of all members
XRecycler Interface Referencepublished

Allows an XContent to delete itself into the trash can. More...

`import"XRecycler.idl";`

Inheritance diagram for XRecycler:

## Public Member Functions
void | trashContent ([in] com::sun::star::ucb::XCommandProcessor Properties, [in] com::sun::star::ucb::XContentIdentifier Identifier)
| Notify the trash can that an XContent is deleting itself into it. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Allows an XContent to delete itself into the trash can.

This is an additional interface the XContent representing the trash can (URL: "vnd.sun.staroffice.trashcan:///") should support.

## Member Function Documentation

## ◆ trashContent()

void trashContent | ( | [in] com::sun::star::ucb::XCommandProcessor | Properties,
|  | [in] com::sun::star::ucb::XContentIdentifier | Identifier
| ) |  |

Notify the trash can that an XContent is deleting itself into it.

Parameters

  Properties | The trash can uses this interface to access the properties of the content being deleted, to copy them for later display etc. The trash can will not use the interface after it has returned from this method.
  Identifier | When the deleted content is later restored or ultimately deleted, the trash can will use this identifier to query an XContent that it will send the undelete or delete command to.

The documentation for this interface was generated from the following file:

- com/sun/star/ucb/XRecycler.idl